Bug 925995 (d6-notifications) - Review Request: drupal6-notifications - This is a complete Subscriptions/Notifications Framework
Summary: Review Request: drupal6-notifications - This is a complete Subscriptions/Noti...
Status: CLOSED ERRATA
Alias: d6-notifications
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anderson Silva
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: drupal6-messaging
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-23 05:34 UTC by Shawn Iwinski
Modified: 2013-06-11 17:31 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-05-01 04:29:10 UTC
ansilva: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Shawn Iwinski 2013-03-23 05:34:11 UTC
Spec URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/drupal6-notifications.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/drupal6-notifications-2.3-1.fc18.src.rpm

Description:
This is a complete Subscriptions/Notifications Framework aiming at extendability
and scalability. It allows any number of plug-ins defining new event types or
subscription types or a different user interface.


Fedora Account System Username: siwinski

Comment 1 Anderson Silva 2013-04-22 19:04:19 UTC
LICENSE.txt address issue, and a few warnings on spelling, not sure if false positives:



rpmlint -i /home/ansilva/rpmbuild/RPMS/noarch/drupal6-notifications-2.3-1.fc18.noarch.rpm
drupal6-notifications.noarch: W: spelling-error %description -l en_US extendability -> extend ability, extend-ability, dependability
The value of this tag appears to be misspelled. Please double-check.

drupal6-notifications.noarch: W: spelling-error %description -l en_US scalability -> availability, sociability, implacability
The value of this tag appears to be misspelled. Please double-check.

drupal6-notifications.noarch: W: spelling-error %description -l en_US autosubscribe -> auto subscribe, auto-subscribe, subscriber
The value of this tag appears to be misspelled. Please double-check.

drupal6-notifications.noarch: W: spelling-error %description -l en_US ui -> ii, u, i
The value of this tag appears to be misspelled. Please double-check.

drupal6-notifications.noarch: E: incorrect-fsf-address /usr/share/doc/drupal6-notifications-2.3/LICENSE.txt
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

1 packages and 0 specfiles checked; 1 errors, 4 warnings.

Comment 2 Anderson Silva 2013-04-22 19:06:19 UTC
locallinstall failed on drupal6-messaging... reviewing that:

Error: Package: drupal6-notifications-2.3-1.fc18.noarch (/drupal6-notifications-2.3-1.fc18.noarch)
           Requires: drupal6(messaging)
 You could try using --skip-broken to work around the problem

Comment 3 Anderson Silva 2013-04-22 20:24:13 UTC
Just found out incorrect-fsf-address is not a blocker. 

Package approved.

Comment 4 Shawn Iwinski 2013-04-22 22:20:17 UTC
THANKS for the review!


New Package SCM Request
=======================
Package Name: drupal6-notifications
Short Description: This is a complete Subscriptions/Notifications Framework
Owners: siwinski afsilva
Branches: f17 f18 f19 el5 el6
InitialCC:

Comment 5 Gwyn Ciesla 2013-04-23 12:10:20 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-04-26 16:58:34 UTC
drupal6-notifications-2.3-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-notifications-2.3-1.el5

Comment 7 Fedora Update System 2013-04-26 16:58:44 UTC
drupal6-notifications-2.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/drupal6-notifications-2.3-1.fc18

Comment 8 Fedora Update System 2013-04-26 16:58:54 UTC
drupal6-notifications-2.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/drupal6-notifications-2.3-1.fc17

Comment 9 Fedora Update System 2013-04-26 16:59:03 UTC
drupal6-notifications-2.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-notifications-2.3-1.el6

Comment 10 Fedora Update System 2013-04-26 16:59:33 UTC
drupal6-notifications-2.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/drupal6-notifications-2.3-1.fc19

Comment 11 Fedora Update System 2013-04-27 00:01:50 UTC
drupal6-notifications-2.3-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 12 Fedora Update System 2013-05-01 04:29:12 UTC
drupal6-notifications-2.3-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 13 Fedora Update System 2013-05-17 03:24:59 UTC
drupal6-notifications-2.3-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 14 Fedora Update System 2013-05-17 03:27:09 UTC
drupal6-notifications-2.3-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 15 Fedora Update System 2013-05-17 22:20:04 UTC
drupal6-notifications-2.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 16 Fedora Update System 2013-05-27 14:21:22 UTC
drupal6-notifications-2.3-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-notifications-2.3-2.el5

Comment 17 Fedora Update System 2013-06-11 17:31:37 UTC
drupal6-notifications-2.3-2.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.